Skip to main content
`Ctrl`+`K`

# DMGetCoordinatesLocalSetUp

Prepares a local vector of coordinates, so that `DMGetCoordinatesLocalNoncollective()` can be used as non-collective afterwards.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinatesLocalSetUp(DM dm)

Collective

## Input Parameter

- dm - the `DM`

## See Also

`DM`, `DMSetCoordinates()`, `DMGetCoordinatesLocalNoncollective()`

## Level

advanced

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/snes/tutorials/ex23.c
src/dm/impls/plex/tutorials/ex9.c
src/dm/impls/plex/tutorials/ex18.c
src/dm/impls/plex/tutorials/ex17.c
src/dm/impls/plex/tutorials/ex8.c
src/snes/tutorials/ex34.c
src/ts/tutorials/ex52.c
src/dm/impls/plex/tutorials/ex10.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages